Bug 189094 - kernel-2.6.16-1.2069_FC4 breaks serial port registration (non-win modem)
kernel-2.6.16-1.2069_FC4 breaks serial port registration (non-win modem)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 21:20 EDT by Christopher Johnson
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-29 01:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Johnson 2006-04-15 21:20:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Upgrade kernel to 2.6.16-1.2069_FC4
2.Reboot
3.Kernel is unable to register serial port for modem
  
Actual results:
Apr 15 18:37:00 freedom kernel: Couldn't register serial port 0000:00:0a.0: -28

Expected results:
Apr 15 20:38:14 freedom kernel: ttyS14 at I/O 0xc000 (irq = 5) is a 16550A

Additional info:

lspci -v -s 00:0a.0
00:0a.0 Communication controller: Agere Systems Venus Modem (V90, 56KFlex)
        Subsystem: Actiontec Electronics Inc: Unknown device 0480
        Flags: bus master, medium devsel, latency 0, IRQ 5
        Memory at ef001000 (32-bit, non-prefetchable) [size=256]
        I/O ports at c000 [size=256]
        I/O ports at c400 [size=256]
        I/O ports at c800 [size=8]

        Capabilities: [f8] Power Management version 2

udev-071-0.FC4.3
By reverting to kernel-2.6.14-1.1653_FC4 the modem's serial port is registered.
Comment 1 Dave Jones 2006-05-28 23:57:47 EDT
how many serial ports do you have ?
If you boot with 8250.nr_uarts=8 (or however many), does it start working again?

Note You need to log in before you can comment on or make changes to this bug.